Subject: Re: [Eligibility-discuss] Forced virtual IETF 109 as well as 107 (was: Re: NomCom eligibility & IETF 107)

From: S Moonesamy <[email-masked]>
Date: Fri, 13 Mar 2020 11:25:47 -0700

Hi John,

I moved the thread off ietf@.

At 07:45 AM 13-03-2020, John C Klensin wrote:
>We seem to be making strong assumptions that we will be able to
>hold IETF 108 as planned, with f2f meetings in Madrid in late
>July.  I suggest that the IESG (and the rest of us) think about
>that and so sooner rather than later.  Our implicit assumption
>is that things will settle down enough that IETF 108 can be held
>normally and that we do not need to worry about a "new normal".
>The infectious disease specialists and epidemiologists among my
>colleagues is this novel coronavirus really is new in several
>ways and, consequently, that we really cannot predict how
>quickly the period of maximal spread and risks will wind down by
>July.  That may be likely, but it is by no means certain.

I discussed the above question recently for reasons unrelated to the 
IETF.  There is a virus which is prevalent over the world.  There are 
health-related advisories from recognized agencies.  Is it reasonable 
to assume that a meeting can be held, as usual, four months from now?

>So, it seems to me that we should be sorting out possible issues
>and making contingency plans about the conditions under which
>IETF 108 would need to be virtual too, including both things
>tied to the first or second meeting of the year and to how we do
>things.   The circumstances that came upon us in the last six
>weeks gave us little choice other than making quick decisions.
>I personally think that, on balance, the IESG made reasonable
>decisions and handled things about as well as they could be
>handled, including the short-notice cancellation/ virtual
>conversion and reformed agenda.  But we'd best not have that
>"whoops, big surprise" situation followed by a scramble again,
>if only because of the damage that the loss of the cross-area
>review that has occurred at f2f meetings since the IETF started
>could do to the quality of our work.

The problem with "virtual" is that you (in general) end up with the 
"attendance" problem.  You also end up having to make rules which 
favors a large set of people and which are unfavorable to another 
large set of people.  If a person claims surprise, the person 
determining whether the request is valid would look up the 
credentials of the person and wonder who picked that person to make 
reasonable decisions.

>So, let us -- soon, even if not in the next two weeks -- ask
>ourselves such questions as to how the Nomcom will function if
>it cannot meet f2f at IETF 108 (or 109), whether the possible
>need for the Nomcom to do much more of its work remotely might
>affect whatever advice is given to the ISOC President/CEO about
>candidates for Nomcom Chair, and so on.   And then let's repeat
>that with a review of all of the other issues tied to the
>"second meeting" and how IETF 108 could be made maximally
>effective if we were forced to hold it virtually... including,
>of course, how that decision would be made and by whom.

One alternative is for the persons on the committee to fly to some 
location if they believe that their work is important enough for them 
to do that.  If I go by the numbers, there are currently 551 persons 
willing to do that.  I don't know how many of them are eligible and 
how many would volunteer.

>We could still view that as short-term with longer-term analysis
>and solutions to follow.  But July isn't that far away and, if
>things don't get better, we should not have to deal with any
>plausibly-foreseeable situations by being surprised and
>improvising.

The message from the IESG contains a set of choices instead of an 
analysis.  The current path leads to of inconsistent decisions.

Regards,
S. Moonesamy

---

From: Larry Masinter <[email-masked]>
Date: Fri, 13 Mar 2020 21:12:28 -0700

For the task at hand, see
https://www.rfc-editor.org/rfc/rfc8713#section-4.14 (emphasis added):

Members of the IETF community must have attended at least three of the last
five IETF meetings in order to volunteer.
The five meetings are the five most recent meetings ***that ended prior to
the date on which the solicitation for NomCom volunteers was submitted for
distribution to the IETF community.***

So "submit for distribution to the IETF community a solicitation for NomCom
volunteers" on march 27, 2020 or any date before that. You could even do it
now.
Then IETF 107 doesn't count (since it didn't end on a date prior to the
submission). There wouldn't be a need to change the rules or create an
exception.

Now section 4.13 does place a constraint on the timing of the solicitation
(at least 30 days to choose to 
Volunteer) but I don't see a constraint on doing so earlier.

Of course it doesn't let you off the hook for updating the process to deal
with virtual meetings (especially if you will require some kind of
attendance taking that isn't part of meeting management tools planned for
virtual IETF 107.

(and if you care, with this loophole) for future nomcoms, but this immediate
problem would be moot.

I think the "meeting attendance" requirement was a stand-in for things that
are more difficult to measure:
Willingness to commit to expense of registration, travel and time, which
indicates the likely future ability to participate in  nomcom meetings.
A real person and not someone's sock puppet. 
At least an opportunity to be familiar with IETF processes and procedures
(given the overhead).

Personally, I think it's better to error on the side of being conservative
in who you accept: just registering for the meeting doesn't test those
criteria.
(pl
--
LarryMasinter.net

---

From: S Moonesamy <[email-masked]>
Date: Sat, 14 Mar 2020 01:56:55 -0700

Hi Larry,
>submission). There wouldn't be a need to change the rules or create an

[snip]

>in who you accept: just registering for the meeting doesn't test those

A review of previous meetings shows that the meetings occur when 
people are physically present at the same venue.  RFC 8719 is a 
policy for meetings.   It mentions face-to-face.  There is text in 
44px on the web site which states that the meeting was 
cancelled.    The IETF also offered a full refund because of the 
meeting cancellation.

Will the IETF LLC be submitting an insurance claim?  What are the implications?

Regards,
S. Moonesamy

---

From: Larry Masinter <[email-masked]>
Date: Sat, 14 Mar 2020 09:39:39 -0700

I think you misunderstood my suggestion. If the "submission for
distribution"
happens TODAY or TOMORROW then the "five most recent meetings" are IETF
102-106.
The dates of IETF 107 and whether or not it counts as a "meeting"
are irrelevant. 

> -----Original Message-----
> From: S Moonesamy <[email-masked]>
> Sent: Saturday, March 14, 2020 1:57 AM
> To: Larry Masinter <[email-masked]>; [email-masked]
> Subject: Re: [Eligibility-discuss] FW: NomCom eligibility & IETF 107
> 
> Hi Larry,
> >Members of the IETF community must have attended at least three of the
> >last five IETF meetings in order to volunteer.
> >The five meetings are the five most recent meetings ***that ended prior
> >to the date on which the solicitation for NomCom volunteers was
> >submitted for distribution to the IETF community.***
> >
> >So "submit for distribution to the IETF community a solicitation for
> >NomCom volunteers" on march 27, 2020 or any date before that. You could
> >even do it now.
> >Personally, I think it's better to error on the side of being
> >conservative in who you accept: just registering for the meeting
> >doesn't test those criteria.
> 
> A review of previous meetings shows that the meetings occur when people
> are physically present at the same venue.  RFC 8719 is a

---

From: S Moonesamy <[email-masked]>
Date: Sat, 14 Mar 2020 10:43:56 -0700

>I think you misunderstood my suggestion. If the "submission for

Sorry about that.

>The dates of IETF 107 and whether or not it counts as a "meeting"

There is a clause in Section 4.4 which makes the First plenary 
session a requirement.  If the upcoming meeting is not considered as 
a meeting, that requirement cannot be fulfilled.

There is also some interdependencies for other requirements.  In 
essence, if you change one requirement, it can have an impact on 
another requirement.

Regards,
S. Moonesamy

---

From: Brian E Carpenter <[email-masked]>
Date: Sun, 15 Mar 2020 08:37:37 +1300

> a meeting, that requirement cannot be fulfilled.

But there will be a plenary this month, via Webex. Let's wait for the IESG's definitive arrangements before we make assumptions.

I think that on this list, we should focus on the next steps: what contingency plan (and emergency BCP, possibly) do we need to cover the case where IETF 108 is also disturbed? Then, how can we make the whole eligibility mechanism proof against such things (which would probably also solve your original problem of eligibility to sign recall petitions)?

Regards
    Brian

---

From: Michael Richardson <[email-masked]>
Date: Sat, 14 Mar 2020 16:04:59 -0400

> The dates of IETF 107 and whether or not it counts as a "meeting"

That's a good hack of the rules :-) :-)

--
Michael Richardson <[email-masked]>, Sandelman Software Works
 -= IPv6 IoT consulting =-

---

From: S Moonesamy <[email-masked]>
Date: Sat, 14 Mar 2020 16:46:19 -0700

Hi Brian,
At 12:37 PM 14-03-2020, Brian E Carpenter wrote:
>But there will be a plenary this month, via Webex. Let's wait for 
>the IESG's definitive arrangements before we make assumptions.
>
>I think that on this list, we should focus on the next steps: what 
>contingency plan (and emergency BCP, possibly) do we need to cover 
>the case where IETF 108 is also disturbed? Then, how can we make the 
>whole eligibility mechanism proof against such things (which would 
>probably also solve your original problem of eligibility to sign 
>recall petitions)?

In my opinion, the IESG made/or is making a mistake.  I am okay with 
being wrong on that.

My original problem could have been sorted out through an 
appeal.  The proposal side-stepped the eligibility problem as the 
IETF Community was not ready to tackle such a problem.

There is already a mechanism to solve the problem(s) which the IETF 
encountered.  It is unfortunately too late for the mechanism to be of any use.

Regards,
S. Moonesamy